HP Views Designer Assistant: Settings Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
Settings Class Reference

The Settings class. More...

`#include <settings.h>`

Inheritance diagram for Settings:

## Public Member Functions

| Settings (QWidget *parent=0)
| Settings contructor. More...
void | showError (QString error)
| showError Shows an error message. More...
void | showSuccess (QString success)
| showSuccess Shows a success message. More...
void | showInfo (QString info)
| showInfo Shows an information message. More...
QString | getDefaultDir ()
| getDefaultDir Returns the default folder path. More...
void | setDefaultDir (QString path)
| setDefaultDir Sets the default folder path. More...
void | setAlwaysAsk (bool value)
| setAlwaysAsk Sets always ask value. More...
bool | getAlwaysAsk ()
| getAlwaysAsk Returns if the always ask is checked. More...
void | retranslate ()
| retranslate Retranslates setttings view.
void | setSpanishLanguage ()
| setSpanishLanguage Sets spanish language as default language
void | setEnglishLanguage ()
| setEnglishLanguage Sets english language as default language
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_aboutBtn_clicked ()
| on_aboutBtn_clicked This slot is executed when about button is clicked.
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when home button is clicked.
void | on_alwaysAskRadio_clicked (bool checked)
| on_alwaysAskRadio_clicked This slot is executed when always ask button is clicked. More...
void | on_browserBtn_clicked ()
| on_browserBtn_clicked This slot is executed when browse button is clicked.
void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when help button is clicked.
void | on_browserDirInput_textEdited ()
| on_browserDirInput_textEdited This slot is executed when browse folder input is edited.
void | on_resetValueBtn_clicked ()
| on_resetValueBtn_clicked This slot is executed when reset button is clicked.
void | on_spanishRadio_clicked ()
| on_spanishRadio_clicked This slot is executed when spanish radio button is clicked.
void | on_englishRadio_clicked ()
| on_englishRadio_clicked This slot is executed when english radio button is clicked.

## Private Member Functions

void | setValidators ()
| setValidators Sets the inputs validators.
void | initElements ()
| initElements Initalices the elements.
void | isFullFill ()
| isFullFill Checks if all of the inputs have value.
void | alwaysAskOptions (bool checked)
| alwaysAskOptions Sets always ask options More...
void | setToolTips ()
| setToolTips Sets buttons help.

## Private Attributes

Ui::Settings * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The Settings class.

## Constructor & Destructor Documentation

## ◆ Settings()

Settings::Settings | ( | QWidget * | parent = `0` | ) |

explicit

Settings contructor.

Parameters

  parent | Settings parent widget.

## Member Function Documentation

## ◆ alwaysAskOptions()

void Settings::alwaysAskOptions | ( | bool | checked | ) |

private

alwaysAskOptions Sets always ask options

Parameters

  checked | Whether always ask is checked.

## ◆ getAlwaysAsk()

bool Settings::getAlwaysAsk | ( |  | ) |

getAlwaysAsk Returns if the always ask is checked.

Returns
  `True` if always ask is checked, `false` otherwise.

## ◆ getDefaultDir()

QString Settings::getDefaultDir | ( |  | ) |

getDefaultDir Returns the default folder path.

Returns
  Folder path.

## ◆ on_alwaysAskRadio_clicked

void Settings::on_alwaysAskRadio_clicked | ( | bool | checked | ) |

privateslot

on_alwaysAskRadio_clicked This slot is executed when always ask button is clicked.

Parameters

  checked | Whether always ask button is checked.

## ◆ setAlwaysAsk()

void Settings::setAlwaysAsk | ( | bool | value | ) |

setAlwaysAsk Sets always ask value.

Parameters

  value | Whether always ask is checked.

## ◆ setDefaultDir()

void Settings::setDefaultDir | ( | QString | path | ) |

setDefaultDir Sets the default folder path.

Parameters

  path | Folder path.

## ◆ showError()

void Settings::showError | ( | QString | error | ) |

virtual

showError Shows an error message.

Parameters

  error | Message to show.

Implements View.

## ◆ showInfo()

void Settings::showInfo | ( | QString | info | ) |

virtual

showInfo Shows an information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showSuccess()

void Settings::showSuccess | ( | QString | success | ) |

virtual

showSuccess Shows a success message.

Parameters

  success | Message to show.

Implements View.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/settings.h
- D:/Documentos/ViewDesignerAssistant/View/settings.cpp